# List clients

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/clients`

This endpoint allows you to list all existing clients.\
\
The clients are returned sorted by creation date, with the most recent clients appearing first.

### Headers

<table><thead><tr><th width="251">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <strong><code>live</code></strong> or <strong><code>test</code></strong> key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="251">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](https://docs.complycube.com/documentation/api-reference/pagination) and [client filters](https://docs.complycube.com/documentation/api-reference/core-resources/clients/filtering) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/clients \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const clients = await complycube.client.list();
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

client_list = cc_api.clients.list()
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$clients = $ccapi->clients()->list();
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Clients;

var clientApi = new ClientApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var clients = await clientApi.ListAsync();
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```javascript
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 3,
    "pages": 1,
    "items": [
        {
            "id": "5eb06507565eae00081ce258",
            "entityName": "John Doe",
            "type": "person",
            "email": "john.doe@example.com",
            "mobile": "+12 345678910",
            "telephone": "+12 345678910",
            "joinedDate": "2020-01-01",
            "personDetails": {
                "firstName": "John",
                "lastName": "Doe",
                "dob": "1990-01-01",
                "nationality": "GB"
            },
            "createdAt": "2020-05-01T18:55:03.015Z",
            "updatedAt": "2020-05-01T18:55:03.015Z"
        },
        {
            "id": "5eb05539ea91db0007ecd5b7",
            "entityName": "John Doe",
            "type": "person",
            "email": "john.doe@example.com",
            "mobile": "+12 345678910",
            "telephone": "+12 345678910",
            "joinedDate": "2020-01-01",
            "personDetails": {
                "firstName": "John",
                "lastName": "Doe",
                "dob": "1990-01-01",
                "nationality": "GB"
            },
            "createdAt": "2020-05-01T17:47:37.297Z",
            "updatedAt": "2020-05-01T17:47:37.297Z"
        },
        {
            "id": "5eb04fcd0f3e360008035eb1",
            "entityName": "John Doe",
            "type": "person",
            "email": "john.doe@example.com",
            "mobile": "+12 345678910",
            "telephone": "+12 345678910",
            "joinedDate": "2020-01-01",
            "personDetails": {
                "firstName": "John",
                "lastName": "Doe",
                "dob": "1990-01-01"
            },
            "createdAt": "2020-05-01T17:24:29.146Z",
            "updatedAt": "2020-05-01T17:24:29.146Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
